SliceFromReadCommand (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class SliceFromReadCommand

- java.lang.Object
- - org.apache.cassandra.db.ReadCommand
  - - org.apache.cassandra.db.SliceFromReadCommand

- All Implemented Interfaces:
    IReadCommand, Pageable
  Direct Known Subclasses:
    RetriedSliceFromReadCommand

      public class SliceFromReadCommand
      extends ReadCommand

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.ReadCommand

      `ReadCommand.Type`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

      `Pageable.ReadCommands`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SliceQueryFilter` | `filter`

    - ### Fields inherited from class org.apache.cassandra.db.ReadCommand

      `cfName, commandType, key, ksName, timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceFromReadCommand(java.lang.String keyspaceName, java.nio.ByteBuffer key, java.lang.String cfName, long timestamp, SliceQueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadCommand` | `copy()`
    `IDiskAtomFilter` | `filter()`
    `protected int` | `getOriginalRequestedCount()` The original number of columns requested by the user.
    `Row` | `getRow(Keyspace keyspace)`
    `ReadCommand` | `maybeGenerateRetryCommand(RowDataResolver resolver, Row row)`
    `Row` | `maybeTrim(Row row)`
    `java.lang.String` | `toString()`
    `SliceFromReadCommand` | `withUpdatedFilter(SliceQueryFilter newFilter)`

    - ### Methods inherited from class org.apache.cassandra.db.ReadCommand

      `create, createMessage, getColumnFamilyName, getKeyspace, getTimeout, isDigestQuery, setIsDigestQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filter

          public final SliceQueryFilter filter

  - ### Constructor Detail

    - #### SliceFromReadCommand

          public SliceFromReadCommand(java.lang.String keyspaceName,
                                      java.nio.ByteBuffer key,
                                      java.lang.String cfName,
                                      long timestamp,
                                      SliceQueryFilter filter)

  - ### Method Detail

    - #### copy

          public ReadCommand copy()

      Specified by:
        `copy` in class `ReadCommand`

    - #### getRow

          public Row getRow(Keyspace keyspace)

      Specified by:
        `getRow` in class `ReadCommand`

    - #### maybeGenerateRetryCommand

          public ReadCommand maybeGenerateRetryCommand(RowDataResolver resolver,
                                                       Row row)

      Overrides:
        `maybeGenerateRetryCommand` in class `ReadCommand`

    - #### maybeTrim

          public Row maybeTrim(Row row)

      Overrides:
        `maybeTrim` in class `ReadCommand`

    - #### filter

          public IDiskAtomFilter filter()

      Specified by:
        `filter` in class `ReadCommand`

    - #### withUpdatedFilter

          public SliceFromReadCommand withUpdatedFilter(SliceQueryFilter newFilter)

    - #### getOriginalRequestedCount

          protected int getOriginalRequestedCount()

      The original number of columns requested by the user. This can be different from count when the slice command is a retry (see RetriedSliceFromReadCommand)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation